Skip to main content
GET
/
v2
/
admin
/
branches
/
List Branches
curl --request GET \
  --url https://api.voxo.co/v2/admin/branches/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "tenantId": 123,
    "name": "<string>",
    "default": 123,
    "timezone": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paginated
integer
default:1

1 = paginated response, 0 = full list

Required range: 0 <= x <= 1
page
number

Page number

recordsPerPage
number

Records per page

sortBy
string

Sort column

Maximum string length: 50
sortDirection
enum<string>

Sort direction

Available options:
asc,
desc
query
string

Search branches by name

name
string

Filter branches by name

tenantId
number
required

Tenant ID to list branches for

Response

Branch list or paginated branch list

id
number
required

Branch ID

tenantId
number
required

Tenant ID

name
string
required

Branch name

default
number
required

Whether this is the default branch (1 = yes, 0 = no)

timezone
string | null
required

IANA timezone identifier